CVS unspecified buffer overflow

cvs-bo (20148) The risk level is classified as HighHigh Risk

Description:

Concurrent Versions System (CVS) is vulnerable to a buffer overflow caused by improper bounds checking of user-supplied input. A remote attacker could use this vulnerability to overflow a buffer and execute arbitrary code on the system.


Consequences:

Gain Access

Remedy:

Upgrade to the latest version of CVS (1.11.20 or later), available from the Concurrent Version System Document Web page. See References.

For Gentoo Linux:
Upgrade to the latest version of CVS (1.11.18-r1 or later), as listed in GLSA 200504-16. See References.

For SUSE Linux:
Upgrade to the latest version of CVS, as listed below. Refer to SUSE Security Announcement SUSE-SA:2005:024 for more information. See References.

x86 Platform:
SUSE Linux 9.3: 1.12.11-4.2 or later
SUSE Linux 9.2: 1.12.9-2.2 or later
SUSE Linux 9.1: 1.11.14-24.10 or later
SUSE Linux 9.0: 1.11.6-85 or later
SUSE Linux 8.2: 1.11.5-116 or later

x86-64 Platform:
SUSE Linux 9.3: 1.12.11-4.2 or later
SUSE Linux 9.2: 1.12.9-2.2 or later
SUSE Linux 9.1: 1.11.14-24.10 or later
SUSE Linux 9.0: 1.11.6-85 or later

For Debian GNU/Linux 3.0 (woody):
Upgrade to the latest version of CVS (1.11.1p1debian-12 or later), as listed in DSA-712-1. See References.

For Debian GNU/Linux 3.1 (Sarge):
Upgrade to the latest version of CVS (1.12.9-13 or later), as listed in DSA-742-1. See References.

For Conectiva Linux:
Upgrade to the latest version of CVS, as listed below. Refer to Conectiva Linux Security Announcement CLSA-2005:966 for information. See References.

Conectiva Linux 10.0: 1.11.17
Conectiva Linux 9.0: 1.11.15

For Red Hat Linux:
Refer to RHSA-2005:387-06 for patch, upgrade, or suggested workaround information. See References.

For Ubuntu Linux:
Refer to USN-117-1 for patch, upgrade, or suggested workaround information. See References.

For other distributions:
Contact your vendor for upgrade or patch information.

References:

Platforms Affected:

  • Canonical Ubuntu 4.10
  • Canonical Ubuntu 5.04
  • Conectiva Linux 10
  • Conectiva Linux 9.0
  • CVS, Derek Price CVS (Concurrent Versions System) prior to 1.11.20
  • Debian Debian Linux 3.0
  • Debian Debian Linux 3.1
  • Gentoo Linux
  • MandrakeSoft Mandrake Linux 10.0 AMD64
  • MandrakeSoft Mandrake Linux 10.0
  • MandrakeSoft Mandrake Linux 10.1
  • MandrakeSoft Mandrake Linux 10.1 X86_64
  • MandrakeSoft Mandrake Linux LE2005 X86_64
  • MandrakeSoft Mandrake Linux LE2005
  • MandrakeSoft Mandrake Linux Corporate Server 2.1
  • MandrakeSoft Mandrake Linux Corporate Server 2.1 X86_64
  • MandrakeSoft Mandrake Linux Corporate Server 3.0
  • MandrakeSoft Mandrake Linux Corporate Server 3.0 X86_64
  • Novell UnitedLinux 1.0
  • RedHat Enterprise Linux 2.1 AS
  • RedHat Enterprise Linux 2.1 ES
  • RedHat Enterprise Linux 2.1 WS
  • RedHat Enterprise Linux 3 WS
  • RedHat Enterprise Linux 3 Desktop
  • RedHat Enterprise Linux 3 ES
  • RedHat Enterprise Linux 3 AS
  • RedHat Enterprise Linux 4 WS
  • RedHat Enterprise Linux 4 ES
  • RedHat Enterprise Linux 4 Desktop
  • RedHat Enterprise Linux 4 AS
  • RedHat Linux Advanced Workstation 2.1 Itanium
  • SuSE Linux Enterprise Server 8
  • SUSE SuSE Linux 8.2
  • SUSE SuSE Linux 9.0
  • SUSE SuSE Linux 9.1
  • SUSE SuSE Linux 9.2
  • SUSE SuSE Linux 9.3
  • SuSE SuSE Linux School Server 1
  • SuSE SuSE Open Enterprise Server 9
  • SuSE SuSE SLES 9
  • Turbolinux Turbolinux 10 Desktop
  • Turbolinux Turbolinux 10 F...
  • Turbolinux Turbolinux 10 Server
  • Turbolinux Turbolinux 7 Server
  • Turbolinux Turbolinux 7 Workstation
  • Turbolinux Turbolinux 8 Server
  • Turbolinux Turbolinux 8 Workstation
  • Turbolinux Turbolinux Home
  • Turbolinux Turbolinux Appliance Server 1.0 Hosting Ed
  • Turbolinux Turbolinux Appliance Server 1.0 Workgroup Ed

Reported:

Apr 18, 2005

The information within this database may change without notice. Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. In no event shall the author/distributor (IBM Internet Security Systems X-Force) be held liable for any damages whatsoever arising out of or in connection with the use or spread of this information.

For corrections or additions please email ignore thisxforceignore this@ignore thisus.ignore thisibm.comignore this

Return to the main page